Create finding view
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidapplication/json- body
filters?name*NameLength
1 <= length <= 100shared?SharedDefault
falseSuccessful Response
application/json- response
created_at*Created AtFormat
date-timecreated_by*Created ByFormat
uuidfilters?id*IdFormat
uuidname*NameLength
1 <= length <= 100shared?SharedDefault
falseupdated_at*Updated AtFormat
date-timeversion*Versionworkspace_id*Workspace IdFormat
uuidcurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/finding-views' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'Example Response
{ "created_at": "2019-08-24T14:15:22Z", "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4", "filters": { "architecture_disposition": "actionable", "first_seen_after": "2019-08-24T14:15:22Z", "first_seen_before": "2019-08-24T14:15:22Z", "lifecycle_state": "new", "owner": "534359f7-5407-4b19-ba92-c71c370022a5", "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3", "severity": "critical", "sort": "newest", "status": "new", "structural_layer": "code" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shared": false, "updated_at": "2019-08-24T14:15:22Z", "version": 0, "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}